
/* ---------->>> global position styles: <<<-----------------------------------------------------------------------*/
/* ------------  the following styles govern the position/style html, body and wrapper elements -------------------*/

/* note: this is a global white space reset.
 (asterisk is the universal css selector - all descendents will have this setting applied.) */   
*{padding: 0px; margin: 0px;}
				
/* 'min-height: 101%' forces firefox to always have a scrollbar, even on short pages,
   so that layout doesn't shift, which can throw off the sub-menus by a pixel or two. */		  
html, body {
	height: 100%;
}

/* ie7 understands min-height, but ie6 (and under) does not; this hack should force the height
for these browsers and allow the left background graphic to scroll all the way to the bottom of viewport */
/* mac hide \*/
/* html, body, #outer_wrapper {height:100%} */
/* end hide */
	
/* specify a min-width for the body as wide as the wrapper div: 
(prevents negative (inaccessible) left-margins in narrow browser windows 
when using netscape 6+/mozilla on win32.) */					
body {
	position:absolute;   /* wrapper divs seem to need absolute positioning in order to force 100% height */
	width:100%;	    	/* also seem to need a width defined */
	min-width:1000px;         /* 2 x (left columnfullwidth + center column padding) + right column fullwidth */
	min-height:675px;
	background-image: url(../graphics/back.gif);
	background-repeat: repeat-y;
	background-position: center;
	background-color: #252525;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #B2CDE3;
	vertical-align: top;
	border:0px solid #ffffff;
}		

/* ---------->>> layout positioning styles: <<<--------------------------------------------------------------------*/
/* ------------  the following styles govern the position and style of the basic parts of the layout --------------*/	

#pageWrapper {
	position:absolute; /* positioning this as relative causes layout to shift offscreen in Safari */
	/* margin:0 auto; */ /* (sets auto-margins, thus centering this element in the containing div (firefox) */
	width:1000px; 
	height:auto; /* (1500px?) */
	top:0px;
	left:50%;
	margin-left:-500px; /* left and margin-left settings centers horizontally */
}

/* contains main content of page; also sets left/right padding for right and left columns to display, without specifying width */
/* (ie calculates overall width incorrectly, so we have to get sneaky and set the overall width first then add padding second) */
#content {
	top:0px;
	width:100%;
	height:502px;       /* SZT 12/28/09: updated height to match shortened Flash file - was 615 */        
	overflow:hidden;
	background-color: #000000;
}

/* used for home page, in which Flash movies are act as primary page content */
#flashContent {
 top:0px;
                left:0px;
                width:100%;
                /* height:600px; */
                height:487px;     /* SZT 12/28/09: updated height to match shortened Flash file */
                background-color: #000000;
                border:0px solid #ffffff;
}

/* SZT 102708: begin alert box updates - copy and paste the following into your version of this template.
(added/updated the following classes to position and style the alert box) red=#9d0b0e gold=#ecb700 blue=#5091cd */
#alertbox {
	position:relative;
	top:0px;
	left:0px;
	width:100%;  
	padding-top:1px; /* need padding or border to prevent adjacent borders from collapsing in FF  */
	background-color: #5091cd;	
	border:0px solid #ffffff;	
}

.none {
	display:none;
}

.oneLine {
	height:40px;
}

.twoLines {
	height:70px;
}

.threeLines {
	height:90px;
}

.fourLines {
	height:110px;
}

#alertbox-content {
	position:relative;
	top: 50%;
	margin-right:30px;
	margin-left:30px;
	margin-bottom:0px;
	border:0px solid #cccccc;
}

.oneLine #alertbox-content {
	margin-top:-12px;
}

.twoLines #alertbox-content {
	margin-top:-22px;
}

.threeLines #alertbox-content {
	margin-top:-32px;
}

.fourLines #alertbox-content {
	margin-top:-42px;
}

#alertbox .title {
	color:#ffffff;
	font-weight:bold;
	font-size:18px;
	padding-right:10px;
}

#alertbox .title a {
	color:#ffffff;
	font-weight:bold;
	font-size:18px;
	padding-right:10px;
	text-decoration: none;
}

#alertbox p {
	color:#ffffff;
	font-weight:normal;
	font-size:14px;	
	line-height:20px;
	padding-bottom:0px;
	border:0px dotted #cccccc;
}
#alertbox p a {
	color:#ffffff;
	font-weight:normal;
	font-size:14px;	
	line-height:20px;
	padding-bottom:0px;
	border:0px dotted #cccccc;
}

/* end alert box updates */


/**
 * Hub Block styles
 *
 */
 
.hub-block .hub-articles {
  width: 900px;
}
.hub-block .header {
  /*
  padding-bottom: 10px;
  border-bottom: 1px solid rgba(0,0,0,0.2);
  -webkit-box-shadow: 0 1px 0 rgba(255,255,255,0.1);
  margin-bottom: 10px;
  */
}
.hub-block h2.news-title {
  font-size: 44px;
  line-height: 52px;
  color: #ffffff;
  font-weight: normal;
  font-family: "league-gothic", helvetica, sans-serif;
  text-transform: lowercase;
  width: 50%;
  float: left;
  margin: 0;
}
.hub-block a.hub-link {
  width: 150px;
  display: block;
  float: right;
  height: 52px;
  text-indent: -9999px;
  background: url(powered-by-gear.png?v=1.2) right center no-repeat;
  position: relative;
  top: 3px;
}

.hub-block .article-teaser {
  width: 30%;
  margin-right: 5%;
  padding: 0 0 1em;
  float: left;
  font-family: "myriad-pro", "Myriad Pro", verdana, helvetica, sans-serif;
}

.hub-block .article-teaser.end {
  margin-right: 0;
}

.hub-block .article-teaser img {
  margin-bottom: 0.2em;
  width: 100%;
  height: auto;
  margin-bottom: 1em;
  display: block;
}

.hub-block .article-teaser .overline {
  text-transform: uppercase;
  font-size: 16px;
  font-color: #ccc;
  margin-bottom: 0;
}
.hub-block .article-teaser h2 {
  margin: 0 0 8px;
}
.hub-block .article-teaser h2 a {
  font-size: 20px;
  line-height: 110%;
  color: #fff;
  text-decoration: none;
  font-weight: bold;
}
.hub-block .article-teaser h2 a:hover {
  color: #5091cd;
}
.hub-block .article-teaser .summary {
  font-size: 13px;
  line-height: 125%;
}

.hub-block .view-more-hub {
  clear: left;
  text-align: right;
  padding-top: 25px;
}
.hub-block .view-more-hub a {
  color: #fff;
  font-family: "myriad-pro", "Myriad Pro", verdana, helvetica, sans-serif;
  font-weight: normal;
  font-size: 16px;
  text-decoration: none;
}
.hub-block .view-more-hub a:hover {
  color: #5091cd;
}

/**
 * THIS IS THE AREA WE ARE REPLACING WITH HUB CONTENT
 *
 * We should be able to remove all these styles after we fully convert.
 *
 */
 
/* bottomContent contains middle row of news content */
#middleContent {
	position:relative;
	top:-1px;
	left:0px;
	padding:10px 50px 0px 50px;
	overflow:visible;	
	height:auto;
	background-color: #003664;
	border:0px #333333 dashed;	
}

/* styles for news teaser content (news headlines and photos) */
#newsTeasers {
	top:0px;
	width:900px;
	height:auto;
}

#newsTeasers .newsText {
	position:relative;
	float:left;
	width:180px;
	font-weight:bold;
	font-size:12px;	
	border:0px #999999 solid;
}

#newsTeasers .newsImg {
	position:relative;
	float:left;
	width:76px;
	height:53px;  /* make sure photo takes up entire height of news column so text doesn't wrap around it */
	margin-right:10px;
	padding-top:3px;
	border:0px #999999 solid;
}

.newsText a {
	text-decoration: none;	
	font-weight:bold;
	font-size:12px;	
}

.newsText a:link, .newsText a:visited {
	color: #63a0d1;
}

.newsText a:hover, .newsText a:active {
	color: #FFFFFF;
}

/**
 * END of the news block styles that are being replaced by the HUB
 *
 */


/* contains and styles the dotted horizontal rule */
div.rule hr { 			
	/* take out the hr element; its top/bottom margin properties are completely
	different in ff and ie. (it will display for non-css browsers.) */
	display:none;
}

/* this div wraps around and replaces the hr */
/* (this style usually has margin-bottom:20px, but on the home page, it creates too much space where 
this rule meets the bottomContent div, which already has margin-top:30px built in) */
div.rule { 				
	color: #003664;
	background-color: #003664;
	background-image: url(../graphics/sep.gif);
	background-repeat: repeat-x;
	width:900px;
	height:3px;
	margin:20px 0px 0px 0px; 
} 